# void-packages

Void linux package templates I've created that probably wouldn't get accepted into the repos.

(DIY VUR?)

## Install
Run `install.sh` or do it manually like
```sh
cp -vr srcpkgs/* $HOME/void-packages/srcpkgs
```

## Included packages
- aspell-es - Spanish dictionary for aspell
	- v1.11 - http://aspell.net/
- bore - Bore is a simple CLI tool for making tunnels to localhost
	- v0.5.0 - https://github.com/ekzhang/bore
- curlie - The power of curl, the ease of use of httpie.
	- v1.7.2 - https://github.com/rs/curlie
- df-raw-language-server - Language server for Dwarf Fortress RAW files
	- v0.4.1 - https://gitlab.com/df-modding-tools/df-raw-language-server
- doas-sudo-shim - Sudo shim for doas
	- v0.1.1 - https://github.com/jirutka/doas-sudo-shim
- findex - Findex is an application finder written in Rust that uses GTK3
	- v0.8.0 - https://github.com/mdgaziur/findex
- findex-cmd - Command runner plugin for findex, the application finder
	- v0.1.0 - https://github.com/mdgaziur/findex
- findex-github-repo - Github repo plugin for findex, the application finder
	- v0.1.0 - https://github.com/mdgaziur/findex
- findex-urlopen - URL open plugin for findex, the application finder
	- v0.1.0 - https://github.com/mdgaziur/findex
- font-fantasque-sans-ttf-nerdfont - Handwriting-like programming typeface with Nerd Icons
	- v3.0.2 - https://fontlibrary.org/en/font/fantasque-sans-mono
- gmid - Gemini server
	- v1.8.6 - https://gmid.omarpolo.com
- graveyard - Dead simple encryption
	- v1.1.3 - https://github.com/BetaPictoris/graveyard
- hunspell-es_MX - Spanish (México) dictionary for hunspell
	- v2.8 - https://github.com/sbosio/rla-es
- hunspell-es_US - Spanish (Estados Unidos) dictionary for hunspell
	- v2.8 - https://github.com/sbosio/rla-es
- lowfetch - Linux system information tool
	- v23.11.10 - https://codeberg.org/callyral/lowfetch
- macchina - System information frontend with an emphasis on performance
	- v6.1.8 - https://github.com/Macchina-CLI/macchina
- mission-center - Monitor your CPU, Memory, Disk, Network and GPU usage
	- v0.3.3 - https://gitlab.com/mission-center-devs/mission-center
- pfetch-rs - System information tool written in rust
	- v2.8.1 - https://github.com/Gobidev/pfetch-rs
- python3-lsp-black - Python LSP server plugin that adds support for black autoformatter
	- v1.3.0 - https://github.com/python-lsp/python-lsp-black
- python3-lsp-mypy - Python LSP server plugin that adds support for mypy type checker
	- v0.6.8 - https://github.com/python-lsp/pylsp-mypy
- python3-lsp-ruff - Python LSP server plugin that adds support for ruff linter
	- v1.6.0 - https://github.com/python-lsp/python-lsp-ruff
- regreet - Clean and customizable greeter for greetd
	- v0.1.1 - https://github.com/rharish101/ReGreet
- swaylock-effects - Screen locker for Wayland (with effects)
	- v1.6 - https://github.com/mortie/swaylock-effects
- swayosd - GTK based on screen display
	- v0.1.bb83b26bca8eb67ea55c293929aa21218fc29a4c - https://github.com/ErikReider/SwayOSD
- wlgreet - Raw wayland greeter for greetd, to be run under sway or similar
	- v0.4.1 - https://git.sr.ht/~kennylevinsen/wlgreet
