#!/bin/bash

cd "${0%/*}" || exit 1
output=../README.md

cat ./HEADER.md >$output
cat ./INSTALL_pre.md >>$output
cat ../install.sh | tail -n +2 >>$output
cat ./INSTALL_post.md >>$output
cat ./INCLUDED.md >>$output
for item in ../srcpkgs/*; do
	. $item/template
	echo "- $pkgname - $short_desc" >>$output
	echo -e "\t- v$version - $homepage" >>$output
done
